Skip to main content
GET
/
events
/
calls
/
{callEventId}
Gets call event by ID.
curl --request GET \
  --url https://api.leadping.ai/events/calls/{callEventId}
{
  "id": "<string>",
  "telnyxId": "<string>",
  "leadId": "<string>",
  "businessId": "<string>",
  "userId": "<string>",
  "conversationId": "<string>",
  "fromPhoneNumberId": "<string>",
  "billingPhoneNumberId": "<string>",
  "fromPhoneNumber": "<string>",
  "toPhoneNumber": "<string>",
  "callerId": "<string>",
  "statusReason": "<string>",
  "direction": "<string>",
  "providerStatus": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "answeredAt": "2023-11-07T05:31:56Z",
  "endedAt": "2023-11-07T05:31:56Z",
  "duration": "<string>",
  "billableSeconds": "<string>",
  "billableAmount": "<string>",
  "billingStatus": "<string>",
  "recordingUrl": "<string>",
  "metadata": {},
  "user": "<string>",
  "business": "<string>"
}

Path Parameters

callEventId
string
required

The ID of the call event to retrieve.

Response

Returns the call event table row.

API DTO containing call event data used by Leadping API contracts.

id
string

The unique ID for this call event.

telnyxId
string | null

The Telnyx ID associated with this call event.

leadId
string | null

The lead ID associated with this call event.

businessId
string | null

The business ID associated with this call event.

userId
string | null

The user ID associated with this call event.

conversationId
string | null

The conversation ID associated with this call event.

fromPhoneNumberId
string | null

The from phone number ID associated with this call event.

billingPhoneNumberId
string | null

The billing phone number ID associated with this call event.

fromPhoneNumber
string

The phone number associated with this call event.

toPhoneNumber
string

The phone number associated with this call event.

callerId
string | null

The caller ID associated with this call event.

status
enum<string> | null

Defines the supported Phone Call Status values.

Available options:
queued,
initiated,
ringing,
in_progress,
active,
completed,
ended,
busy,
no_answer,
failed,
canceled,
missed,
transferred,
voicemail,
blocked_billing,
blocked_phone_number_status,
blocked_configuration,
blocked_permission,
configuration_required
statusReason
string | null

The human-readable status reason explaining this call event.

direction
string

The direction value for this call event.

providerStatus
string | null

The current provider status for this call event.

createdAt
string<date-time>

The date and time for the created at value on this call event.

answeredAt
string<date-time> | null

The date and time for the answered at value on this call event.

endedAt
string<date-time> | null

The date and time for the ended at value on this call event.

duration
string<int32> | null

The duration value for this call event.

Pattern: ^-?(?:0|[1-9]\d*)$
billableSeconds
string<int32> | null

The billable seconds value for this call event.

Pattern: ^-?(?:0|[1-9]\d*)$
billableAmount
string<double> | null

The monetary billable amount for this call event.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
billingStatus
string | null

The current billing status for this call event.

recordingUrl
string | null

The URL associated with this call event.

metadata
object

The metadata key-value data carried with this call event; values must be safe to expose in API responses.

user
string

The user value for this call event.

business
string

The business value for this call event.